package macampcorp.macamp.game.scheduler;


import macampcorp.macamp.activities.HostActivity;
import macampcorp.macamp.game.Event;
import macampcorp.macamp.game.Game;

public class EventTask extends Task {
    protected Event mEvent;

    public EventTask(Event e) {
        super(TASK_EVENT);
        mEvent = e;
    }


    public String toString()
    {
        return "[ Event, '"+mEvent.getMethod()+"' ]";
    }

    @Override
    public int exec(Scheduler s, HostActivity cd, Game g) {
        Event.EventReturn ev = mEvent.exec(cd, g);
        cd.save();
        if(!ev.wait) return s.schedule(cd, g);
        return Task.TASK_EVENT;
    }

    public Event getEvent() {
        return mEvent;
    }
}
